oAuth 2.0

Innovis procedures to move to oAuth 2.0

Overall Process

  1. Innovis Identity and Access Management Team will create the Customer Client ID and Customer Client Secret.
  2. The Customer Client ID will be sent to the Customer IT Contact via email.
  3. The Customer Client Secret will be sent to the Customer IT Contact via secure email or other secure method, separate from the Customer Client ID.
  4. Customer will use Client ID and Client Secret to obtain oAuth token.
  5. Customer will use the oAuth token in the Gateway API request.

Innovis Deliverables to the Customer

  1. Customer Client ID
  2. Customer Client Secret
❗️

The Client Secret and Client ID are tied to the User ID, not the Customer ID.

oAuth Endpoints - Used to obtain oAuth token

Production
https://gateway-prod.innovis.com/oauth/token

UAT
https://gateway-uat.innovis.com/oauth/token

Gateway Endpoints

Production
https://gateway.innovisweb.com/InnovisGateway/orest/grs_v001/request

UAT
https://staging.innovisweb.com/InnovisGateway/orest/grs_v001/request

Sample CURL Commands

curl --request POST 'https://gateway-uat.innovis.com/oauth/token' \
    --header 'Content-Type: application/json' \
    --data '{
        "audience":"innovisgateway",
        "grant_type":"client_credentials",
        "client_id":"xxxxx",
        "client_secret":"yyyyy"
    }'
{
    "access_token": "eyJhbGciOiJSUzI1NiIsInR5cCI6IkpXVCIsImtpZCI6ImU3WlNONDl5NWFYSzhXSG5teHZBaiJ9.eyJpc3MiOiJodHRwczovL2dhdGV3YXktZGV2Lmlubm92aXMuY29tLyIsInN1YiI6IllwU3lFQTlQWEZFVjZTWlNWYWdCdG1SUTJsVWZYbkJkQGNsaWVudHMiLCJhdWQiOiJpbm5vdmlzZ2F0ZXdheSIsImlhdCI6MTc1NTE5MTQxMCwiZXhwIjoxNzU1MjIwMjEwLCJzY29wZSI6ImdycyBrZXktbWFuYWdlbWVudCIsImd0eSI6ImNsaWVudC1jcmVkZW50aWFscyIsImF6cCI6IllwU3lFQTlQWEZFVjZTWlNWYWdCdG1SUTJsVWZYbkJkIn0.shCQZ8WSIwpBehfH8t-7WlBsG13_SOpLVM3yiGpgtw9OXBWzKpK6crhRrI4rnCQivgL1DRnVU-k7NDJ1Im3QC1sAiwMyd9iCtqk6kUpvbDTZ_Vs-qPeAfPrE4qCaapdiXGRbPHoiV99_J-ukHG9sHCPYDt1kcsSHrl1CQm-9LGEmORcZthHZFMPdVkoAPKGJZrnBF2kcWWH__q21mJau90-PYSQnliW7PpqTVh-TgWIbG_ifBOj5LHUijtgy3ZgPegMHm67bkWP4ZiyinCPmkA1lzHF24QpJDk6uIbQ3tTZmG8gX9uAdIxViKMLvmeuKaVfz_gQ-UhlAWrjKxO2M2A",
    "scope": "grs key-management",
    "expires_in": 28800,
    "token_type": "Bearer"
}
curl --request POST 'https://staging.innovisweb.com/InnovisGateway/orest/grs_v001/request' \
    --header 'Authorization: Bearer eyJhbGciOiJSUzI1NiIsInR5cCI6IkpXVCIsImtpZCI6ImU3WlNONDl5NWFYSzhXSG5teHZBaiJ9.eyJpc3MiOiJodHRwczovL -UhlAWrjKxO2M2A' \
    --header 'Content-Type: application/json' \
    --data '{
      "applicants": [ {
          	"addresses": [ {
              	"addressIdentifier": "C",
              	"city": "LANCASTER",
              	"line1": "3490 MAIN ST",
              	"state": "OH",
              	"zip": "43130"
            } ],
          "dob": "1901-12-25",
              "names": [ {
              	"first": "THOMAS",
              	"last": "TESTER",
              	"middle": "INQAVAIL"
              } ],
          "phones": [ {
              	"phoneNumber": "6145552600",
              	"phoneType": "HOME"
          } ],
          "ssn": "XXXXXXXXX"
      }
      ],
      "customerTraceNumber": "TEST001",
     
      "productCode": "FAILSAFE"
    }'
{
    "consumers": [
        {
            "softwareProviderId": "IGTW",
            "softwareProviderVersion": "R4",
            "customerTraceNumber": "TEST001",
            "userId": "GatewayUser",
            "reportReferenceNumber": "260783961",
            "productCode": "FAILSAFE",
            "customerId": "200322827",
            "applicantId": "1A",
            "consumerId": "0000000000000",
            "returnCode": "No Record"
        }
    ]
}